## obs-build 20141024

=== Makefile ===
VERSION=0.1
SCM=$(shell if test -d .svn; then echo svn; elif test -d .git; then echo git; fi)
DATE=$(shell date +%Y%m%d%H%M)
BUILD=build

INITVM_ARCH=$(shell bash -c '. common_functions ; build_host_arch; echo $$BUILD_INITVM_ARCH')

ifeq ($(SCM),svn)
SVNVER=_SVN$(shell LANG=C svnversion .)
endif

prefix=/usr
bindir=$(prefix)/bin
datadir=$(prefix)/share
libdir=$(prefix)/lib
pkglibdir=$(libdir)/$(BUILD)
mandir=$(datadir)/man
man1dir=$(mandir)/man1
sysconfdir=/etc
DESTDIR=

all:

install:
	install -m755 -d \
	    $(DESTDIR)$(pkglibdir)/configs \
	    $(DESTDIR)$(pkglibdir)/Build \
	    $(DESTDIR)$(pkglibdir)/emulator \
	    $(DESTDIR)$(bindir) \
	    $(DESTDIR)$(man1dir)
	install -m755 \
	    build \
	    vc \
	    createrpmdeps \
	    order \
	    expanddeps \
	    computeblocklists \
	    extractbuild \
	    getbinaryid \
	    killchroot \
	    queryconfig \
	    common_functions \
	    init_buildsystem \
	    substitutedeps \
	    debtransform \
	    debtransformbz2 \
	    debtransformzip \
	    mkbaselibs \
	    mkdrpms \
	    createzyppdeps \
	    createarchdeps \
	    createdebdeps \
	    createrepomddeps \
	    createyastdeps \
	    changelog2spec \
	    spec2changelog \
	    download \
	    spec_add_patch \
	    spectool \
	    signdummy \
	    unrpm \
	    $(DESTDIR)$(pkglibdir)
	install -m755 emulator/emulator.sh $(DESTDIR)$(pkglibdir)/emulator/
	install -m644 Build/*.pm $(DESTDIR)$(pkglibdir)/Build
	install -m644 qemu-reg $(DESTDIR)$(pkglibdir)
	install -m644 build-vm build-vm-* $(DESTDIR)$(pkglibdir)
	install -m644 build-recipe build-recipe-* $(DESTDIR)$(pkglibdir)
	install -m644 build-pkg build-pkg-* $(DESTDIR)$(pkglibdir)
	install -m644 *.pm baselibs_global*.conf lxc.conf $(DESTDIR)$(pkglibdir)
	install -m644 configs/* $(DESTDIR)$(pkglibdir)/configs
	install -m644 build.1 $(DESTDIR)$(man1dir)
	install -m644 vc.1 $(DESTDIR)$(man1dir)
	install -m644 unrpm.1 $(DESTDIR)$(man1dir)
	ln -sf $(pkglibdir)/build $(DESTDIR)$(bindir)/build
	ln -sf $(pkglibdir)/vc    $(DESTDIR)$(bindir)/buildvc
	ln -sf $(pkglibdir)/unrpm $(DESTDIR)$(bindir)/unrpm

# Allow initvm to be packaged seperately from the rest of build.  This
# is useful because it is distributed as a static binary package (e.g.
# build-initvm-static) whereas the build scripts package is noarch.

initvm: initvm.c
	$(CC) -o $@.$(INITVM_ARCH) -static $(CFLAGS) initvm.c

initvm-all: initvm

initvm-build: initvm

initvm-install: initvm
	install -m755 -d $(DESTDIR)$(pkglibdir)
	install -m755 initvm.$(INITVM_ARCH) $(DESTDIR)$(pkglibdir)/initvm.$(INITVM_ARCH)


dist:
ifeq ($(SCM),svn)
	rm -rf $(BUILD)-$(VERSION)$(SVNVER)
	svn export . $(BUILD)-$(VERSION)$(SVNVER)
	tar --force-local -cjf $(BUILD)-$(VERSION)$(SVNVER).tar.bz2 $(BUILD)-$(VERSION)$(SVNVER)
	rm -rf $(BUILD)-$(VERSION)$(SVNVER)
else
ifeq ($(SCM),git)
	git archive --prefix=$(BUILD)-$(VERSION)_git$(DATE)/ HEAD| bzip2 > $(BUILD)-$(VERSION)_git$(DATE).tar.bz2
endif
endif

=== debian/changelog ===
obs-build (20141024-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 0010_find-perm_slash.diff: Use "find -perm /x" instead of "find -perm +x".
    Closes: #808918

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Dec 2015 14:21:18 +0100

obs-build (20141024-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update copyright, explicit GPL 2 or 3.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 25 Oct 2014 02:30:05 +0100

obs-build (20140918-1) unstable; urgency=medium

  * Initial release. (Closes: #762949)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 01 Oct 2014 11:46:00 +0100

=== debian/control ===
Source: obs-build
Section: devel
Priority: extra
Maintainer: Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6.0

Package: obs-build
Architecture: all
Depends: ${perl:Depends}, rpm
Recommends: rpm2cpio, osc, libcrypt-ssleay-perl
Description: scripts for building RPM/debian packages for multiple distributions
 This package provides scripts for building RPM and debian packages in
 contained environments for various build distributions. These tools
 are use by Open Build Service workers and openSUSE distribution by
 default.

## obs-build 20160921

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	install -m755 \
 	    build \
 	    vc \
-	    createrpmdeps \
+	    createdirdeps \
 	    order \
 	    expanddeps \
 	    computeblocklists \
@@ -44,9 +44,11 @@
 	    substitutedeps \
 	    debtransform \
 	    debtransformbz2 \
+	    debtransformxz \
 	    debtransformzip \
 	    mkbaselibs \
 	    mkdrpms \
+	    listinstalled \
 	    createzyppdeps \
 	    createarchdeps \
 	    createdebdeps \
@@ -55,10 +57,13 @@
 	    changelog2spec \
 	    spec2changelog \
 	    download \
+	    runservices \
 	    spec_add_patch \
 	    spectool \
 	    signdummy \
 	    unrpm \
+	    telnet_login_wrapper \
+	    build-validate-params \
 	    $(DESTDIR)$(pkglibdir)
 	install -m755 emulator/emulator.sh $(DESTDIR)$(pkglibdir)/emulator/
 	install -m644 Build/*.pm $(DESTDIR)$(pkglibdir)/Build

=== debian/changelog ===
obs-build (20160921-1+deb9u1) stretch; urgency=medium

  * CVE-2017-14804 (Closes: #887306)
    - Improve extractbuild to avoid write to files in the host system.
    - debian/patches/Improve-sanity-checks-in-extractbuild.patch: add new

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 31 Mar 2019 17:45:52 +0000

obs-build (20160921-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #786404, #796522)
  * Drop 0002-Fix-Build-Zypp-parsecfg-expected-full-config-file-na.patch:
    included upstream.
  * Refreshed 0001-Use-obs-build-in-locations-and-executable-names-inst.patch.
  * Bump standard-version to 3.9.8.
  * debian/control: Added misc depends.
  * debian/control: depends on debootstrap.
  * debian/copyright: added missing gpl-2 and gpl-3 licenses paragraph.

  [ Héctor Orón Martínez ]
  * debian/control: add new maintainership to RPM packaging team
  * debian/control: add new uploaders Andrew and myself

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 23 Sep 2016 15:49:42 +0200

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# Mark script executable until upstream fix in their tarball.
	chmod a+x debian/obs-build/usr/lib/obs-build/build-recipe-collax
	# file marked executable, fix it.
	chmod a-x debian/obs-build/usr/lib/obs-build/build-validate-params

## obs-build 20170201

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	    computeblocklists \
 	    extractbuild \
 	    getbinaryid \
+	    getbuildids \
 	    killchroot \
 	    queryconfig \
 	    common_functions \

=== debian/changelog ===
obs-build (20170201-3) unstable; urgency=medium

  [ Sjoerd Simons ]
  * Added a selection of patches to improve full-distro builds:
    - dsc-Keep-everything.patch
    - deboostrap-Enable-dpkg-unsafe-io-usage.patch
    - HACK-Make-glibc-build.patch
    - debootstrap-generate-apt-caches.patch

  [ Andrew Lee (李健秋) ]
  * Added depends to sudo, libarchive-tools. (Closes: #866580)
  * debian/source/options: drop no-preparation as it breaks pbuilder.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Aug 2017 05:24:36 +0800

obs-build (20170201-2) unstable; urgency=medium

  * Refine exist and import new patches:
    - 0001-Correct-debootstrap-log-path.patch (Closes: #854563)
    - 0002-deb-Force-unsafe-io-when-install-packages.patch
    - 0003-snapcraft-Drop-duplicated-code.patch
    - 0004-livebuild-Only-create-symlinks-after-dpkg-scanpackag.patch
    - 0005-debootstrap-Ensure-etc-hosts-exists.patch
    - 0006-debootstrap-Mount-virtual-filesystems-in-the-deboots.patch
      (Closes: 854557)
    - 0007-debootstrap-Always-try-to-unmount-binfmt_misc.patch
      (Closes: #854559)
    - 0008-debootstrap-Improve-devpts-mounting.patch (Closes: #854558)
  * Add patch to prevent creation of an empty rcS.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 17 Feb 2017 19:40:45 +0800

obs-build (20170201-1) unstable; urgency=medium

  * New upstream release. (Closes: #853145)
  * Refreshed 0001-Use-obs-build-in-locations-and-executable-names-inst.patch.
  * Fix debootstrap recipe fails when building for xenial: (Closes: #853144)
    - 0001-snapcraft-Drop-duplicated-code.patch
    - 0002-livebuild-Only-create-symlinks-after-dpkg-scanpackag.patch
  * Fix debootstrap build chroot not completely setup: (Closes: #853292)
    - 0001-debootstrap-Ensure-etc-hosts-exists.patch
    - 0002-debootstrap-Mount-virtual-filesystems-in-the-deboots.patch
  * debian/rules: drop not executable fix that already included upstream.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 02 Feb 2017 21:45:10 +0800

=== debian/control ===
Source: obs-build
Section: devel
Priority: extra
Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
Uploaders: Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: obs-build
Architecture: all
Depends:
 ${misc:Depends}, ${perl:Depends}, rpm, debootstrap, sudo, libarchive-tools
Recommends: rpm2cpio, osc, libcrypt-ssleay-perl
Description: scripts for building RPM/debian packages for multiple distributions
 This package provides scripts for building RPM and debian packages in
 contained environments for various build distributions. These tools
 are use by Open Build Service workers and openSUSE distribution by
 default.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# file marked executable, fix it.
	chmod a-x debian/obs-build/usr/lib/obs-build/build-validate-params

## obs-build 20180302

=== debian/changelog ===
obs-build (20180302-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/control: drop depends on ext2fsprogs (essential package)
  * debian/control: set stretch standards version

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Mar 2018 19:41:23 +0100

obs-build (20180302-2) unstable; urgency=medium

  * debian/patches: avoid source package rebuilds
  * debian/patches: add fallback for Debian SID
  * debian/gbp.conf: add gbp configuration file
  * debian/control: recommend xzdec for arch linux support

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 06 Mar 2018 00:55:57 +0100

obs-build (20180302-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: refresh and fix current builds
  * debian/patches: update
  * debian/control: bump standard version, replace priority
  * debian/control: add recommends and suggests (Closes: #887173)
    - add e2fsprogs as recommends and suggest btrfs and xfs tools.
  * Fixes CVE-2017-14804:
    - Exploit extractbuild to write to files in the host system
    (Closes: #887306)
  * debian/control: add python depend per openstack-console script.
  * debian/rules: fixup build-vm-openstack execution.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 05 Mar 2018 01:40:32 +0100

=== debian/control ===
Source: obs-build
Section: devel
Priority: optional
Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
Uploaders: Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: obs-build
Architecture: all
Depends:
 ${misc:Depends}, ${perl:Depends}, rpm, debootstrap, sudo, libarchive-tools,
 python
Recommends: rpm2cpio, osc, libcrypt-ssleay-perl, xzdec
Suggests: xfsprogs, btrfs-tools
Description: scripts for building RPM/debian packages for multiple distributions
 This package provides scripts for building RPM and debian packages in
 contained environments for various build distributions. These tools
 are use by Open Build Service workers and openSUSE distribution by
 default.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 	dh_install
 	# file marked executable, fix it.
 	chmod a-x debian/obs-build/usr/lib/obs-build/build-validate-params
+	# fix script execution
+	chmod a+x debian/obs-build/usr/lib/obs-build/build-vm-openstack

## obs-build 20180831

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,15 @@
 
 all:
 
+.PHONY:	test
+
+test:
+	PERL5LIB=. prove -v
+
 install:
 	install -m755 -d \
 	    $(DESTDIR)$(pkglibdir)/configs \
+	    $(DESTDIR)$(pkglibdir)/baselibs_configs \
 	    $(DESTDIR)$(pkglibdir)/Build \
 	    $(DESTDIR)$(pkglibdir)/emulator \
 	    $(DESTDIR)$(bindir) \
@@ -65,6 +71,10 @@
 	    unrpm \
 	    telnet_login_wrapper \
 	    build-validate-params \
+	    openstack-console \
+	    startdockerd \
+	    dummyhttpserver \
+	    obs-docker-support \
 	    $(DESTDIR)$(pkglibdir)
 	install -m755 emulator/emulator.sh $(DESTDIR)$(pkglibdir)/emulator/
 	install -m644 Build/*.pm $(DESTDIR)$(pkglibdir)/Build
@@ -72,14 +82,17 @@
 	install -m644 build-vm build-vm-* $(DESTDIR)$(pkglibdir)
 	install -m644 build-recipe build-recipe-* $(DESTDIR)$(pkglibdir)
 	install -m644 build-pkg build-pkg-* $(DESTDIR)$(pkglibdir)
-	install -m644 *.pm baselibs_global*.conf lxc.conf $(DESTDIR)$(pkglibdir)
+	install -m644 *.pm lxc.conf $(DESTDIR)$(pkglibdir)
 	install -m644 configs/* $(DESTDIR)$(pkglibdir)/configs
+	install -m644 baselibs_configs/* $(DESTDIR)$(pkglibdir)/baselibs_configs
 	install -m644 build.1 $(DESTDIR)$(man1dir)
 	install -m644 vc.1 $(DESTDIR)$(man1dir)
 	install -m644 unrpm.1 $(DESTDIR)$(man1dir)
 	ln -sf $(pkglibdir)/build $(DESTDIR)$(bindir)/build
 	ln -sf $(pkglibdir)/vc    $(DESTDIR)$(bindir)/buildvc
 	ln -sf $(pkglibdir)/unrpm $(DESTDIR)$(bindir)/unrpm
+	ln -s baselibs_configs/baselibs_global.conf $(DESTDIR)$(pkglibdir)/baselibs_global.conf
+	ln -s baselibs_configs/baselibs_global-deb.conf $(DESTDIR)$(pkglibdir)/baselibs_global-deb.conf
 
 # Allow initvm to be packaged seperately from the rest of build.  This
 # is useful because it is distributed as a static binary package (e.g.

=== debian/changelog ===
obs-build (20180831-3ubuntu1) focal; urgency=medium

  * Use python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 22:16:15 +0100

obs-build (20180831-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/deb-Install-policy-rc.d-to-prevent-services-from-starting.patch:
    Replace my patch adding policy-rc.d with an equivalent upstreamed patch
  * d/p/build-recipe-dsc-Move-all-build-results-not-just-.deb-and.patch:
    In build-recipe-dsc, keep all build results (including *.udeb, *.ddeb
    and *.buildinfo), not just *.deb and *.changes (upstream PR #496)
  * d/p/Log-the-version-number-during-startup.patch,
    d/p/debootstrap-Print-the-exact-command-we-re-going-to-run.patch,
    d/p/deb-Show-version-of-each-package-that-we-preinstall.patch,
    d/p/build-recipe-dsc-Show-information-about-the-build-chroot.patch:
    Put more information about the build environment in the build log
    (upstream PR #497)
  * d/p/build-recipe-dsc-List-contents-of-build-results.patch:
    List the metadata and contents of the build products in the build log
    (upstream PR #497)
  * d/rules: Use the Debian package's version number as the version that
    will be logged by d/p/Log-the-version-number-during-startup.patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 01 Sep 2019 01:59:08 +0200

obs-build (20180831-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Héctor Orón Martínez ]
  * debian/control: build depend on libtimedate-perl for tests
    (Closes: #912048)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 22 Dec 2018 01:19:36 +0100

obs-build (20180831-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches already applied upstream.
  * Release Debian version 20180831-1.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 19 Sep 2018 14:58:42 +0800

obs-build (20180302-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Vcs-Git, Vcs-Browser fields pointing to salsa.d.o
  * Refresh patches through gbp pq import; gbp pq export
  * d/control: Suggest btrfs-progs instead of deprecated btrfs-tools.
    Thanks to Paul Wise (Closes: #900455)

  [ Andrew Lee (李健秋) ]
  * Added DEP-3 compliant headers in all patches

  [ Simon McVittie ]
  * Added policy-rc.d that turns invoke-rc.d into a no-op

  [ Andrew Lee (李健秋) ]
  * Fix a typo in patch descriptions.
  * Release Debian version 20180302-4.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 04 Sep 2018 18:08:54 +0800

obs-build (20180302-3) unstable; urgency=medium

  * configs: Add Debian configurations
  * debian/control: set new maintainer.
    Thanks to Christoph Biedl for pointing out the issue (Closes: #899944)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 24 May 2018 11:20:21 +0200

=== debian/control ===
Source: obs-build
Section: devel
Priority: optional
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python, python-all,
 libtimedate-perl
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/obs-build.git
Vcs-Browser: https://salsa.debian.org/debian/obs-build

Package: obs-build
Architecture: all
Depends:
 ${misc:Depends}, ${perl:Depends}, rpm, debootstrap, sudo, libarchive-tools,
 ${python:Depends}, python2
Recommends: rpm2cpio, osc, libcrypt-ssleay-perl, e2fsprogs, xzdec
Suggests: xfsprogs, btrfs-progs
Description: scripts for building RPM/debian packages for multiple distributions
 This package provides scripts for building RPM and debian packages in
 contained environments for various build distributions. These tools
 are use by Open Build Service workers and openSUSE distribution by
 default.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_install:
+	echo "$(DEB_VERSION)" > debian/obs-build/usr/lib/obs-build/version
 	dh_install
 	# file marked executable, fix it.
 	chmod a-x debian/obs-build/usr/lib/obs-build/build-validate-params

## obs-build 20190710

=== Makefile ===
--- 
+++ 
@@ -70,23 +70,28 @@
 	    signdummy \
 	    unrpm \
 	    telnet_login_wrapper \
-	    build-validate-params \
-	    openstack-console \
 	    startdockerd \
 	    dummyhttpserver \
 	    obs-docker-support \
+	    create_container_package_list \
+	    call-podman \
+	    $(DESTDIR)$(pkglibdir)
+	install -m644 \
+	    qemu-reg \
+	    lxc.conf \
+	    build-validate-params \
+	    openstack-console \
 	    $(DESTDIR)$(pkglibdir)
 	install -m755 emulator/emulator.sh $(DESTDIR)$(pkglibdir)/emulator/
 	install -m644 Build/*.pm $(DESTDIR)$(pkglibdir)/Build
-	install -m644 qemu-reg $(DESTDIR)$(pkglibdir)
 	install -m644 build-vm build-vm-* $(DESTDIR)$(pkglibdir)
 	install -m644 build-recipe build-recipe-* $(DESTDIR)$(pkglibdir)
 	install -m644 build-pkg build-pkg-* $(DESTDIR)$(pkglibdir)
-	install -m644 *.pm lxc.conf $(DESTDIR)$(pkglibdir)
+	install -m644 *.pm $(DESTDIR)$(pkglibdir)
 	install -m644 configs/* $(DESTDIR)$(pkglibdir)/configs
 	install -m644 baselibs_configs/* $(DESTDIR)$(pkglibdir)/baselibs_configs
 	install -m644 build.1 $(DESTDIR)$(man1dir)
-	install -m644 vc.1 $(DESTDIR)$(man1dir)
+	install -m644 buildvc.1 $(DESTDIR)$(man1dir)
 	install -m644 unrpm.1 $(DESTDIR)$(man1dir)
 	ln -sf $(pkglibdir)/build $(DESTDIR)$(bindir)/build
 	ln -sf $(pkglibdir)/vc    $(DESTDIR)$(bindir)/buildvc

=== debian/changelog ===
obs-build (20190710-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New usptream release.

  [ Andrej Shadura ]
  * Use Python 3 with the openstack console.
  * Add the missing python3-websocket dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Aug 2020 10:51:49 +0200

obs-build (20180831-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Use python2 instead of python (Closes: #966765).

  [ Andrej Shadura ]
  * Update the co-maintainers list.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Aug 2020 10:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>,
+Uploaders: Andrej Shadura <andrewsh@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Build-Depends: debhelper (>= 9),
- dh-python, python-all,
+ dh-python, python3-all, python3-websocket,
  libtimedate-perl
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/debian/obs-build.git
@@ -15,7 +15,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}, ${perl:Depends}, rpm, debootstrap, sudo, libarchive-tools,
- ${python:Depends}, python2
+ ${python3:Depends}, python3, python3-websocket
 Recommends: rpm2cpio, osc, libcrypt-ssleay-perl, e2fsprogs, xzdec
 Suggests: xfsprogs, btrfs-progs
 Description: scripts for building RPM/debian packages for multiple distributions

## obs-build 20210120

=== Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 	    mkbaselibs \
 	    mkdrpms \
 	    listinstalled \
+	    call-flatpak-builder \
 	    createzyppdeps \
 	    createarchdeps \
 	    createdebdeps \
@@ -72,6 +73,7 @@
 	    telnet_login_wrapper \
 	    startdockerd \
 	    dummyhttpserver \
+	    patchdockerfile \
 	    obs-docker-support \
 	    create_container_package_list \
 	    call-podman \

=== debian/changelog ===
obs-build (20210120-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Trivial rebase of several patches.
    + Drop build-recipe-dsc-Move-all-build-results-not-just-.deb-and.patch and
      debootstrap-add-fallback-for-Debian-SID-distro.patch. Applied upstream.
    + Manually rebase build-recipe-dsc-List-contents-of-build-results.patch
      and deb-Show-version-of-each-package-that-we-preinstall.patch.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation and bump DH compat level to
      version 13.
  * debian/control:
    + Add B-Ds (for unit testing flatpak integration): libfindbin-libs-perl
      and libyaml-libyaml-perl.
  * debian/docs:
    + README -> README.md.

  [ Andrew Lee (李健秋) ]
  * Fall back to stable if lsb reports a non-supported dist in debootstrap.

  [ Emanuele Aina ]
  * Force LC_ALL=C.UTF-8 when creating the chroot.
  * Force the local timezone to be UTC.
  * Unset $TERM to prevent unexpectedly colorized output from breaking builds.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 01 Dec 2021 16:25:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Andrej Shadura <andrewsh@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  dh-python, python3-all, python3-websocket,
- libtimedate-perl
+ libfindbin-libs-perl,
+ libtimedate-perl,
+ libyaml-libyaml-perl,
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/debian/obs-build.git
 Vcs-Browser: https://salsa.debian.org/debian/obs-build

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

override_dh_install:
	echo "$(DEB_VERSION)" > debian/obs-build/usr/lib/obs-build/version
	dh_install
	# file marked executable, fix it.
	chmod a-x debian/obs-build/usr/lib/obs-build/build-validate-params
	# fix script execution
	chmod a+x debian/obs-build/usr/lib/obs-build/build-vm-openstack

override_dh_clean:
	rm -f version
	dh_clean
